
QGIS Application - Bug report #8128

WFS client: wrong type on empty MultiLines layers

2013-06-21 07:36 AM - Laurent Defert

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16959

Description

When openening a Wfs multilines layer (gml:MultiLinePropertyType) that contains no record, the QGis layer has an "Unknown geometry"

type (looking at Layer->Properties->Metadata->Geometry type of the feature in the layer).

Opening multipolygon or multipoint with no record creates the correct layer.

History

#1 - 2013-06-21 09:19 AM - Laurent Defert

Tested on linux, QGIS master at revision 4164d6ed0b8498f3e3e45cfa40b639674c8c5074 (22/06/2013).

#2 - 2013-06-25 07:03 AM - René-Luc ReLuc

- Category set to Web Services clients/WFS

#3 - 2013-11-08 09:21 AM - Laurent Defert

- Status changed from Open to Closed

This bug was in fact due to a wrong implementation on the server side. Sorry for the noise.
